%define module Catalyst-Plugin-StackTrace
%define name	perl-%{module}
%define	modprefix Catalyst

%define version 0.07

%define	rel	1
%define release %mkrel %{rel}

Summary:	Display a stack trace on the debug screen
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst) >= 5.61
BuildRequires:	perl(Devel::StackTrace)
BuildRequires:	perl(Module::Build)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This plugin will enhance the standard Catalyst debug screen by
including a stack trace of your appliation up to the point where the
error occurred. Each stack frame is displayed along with the package
name, line number, file name, and code context surrounding the line
number.

This plugin is only active in -Debug mode.


%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}



%changelog
* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.1
+ Revision: 162603
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdv2008.0
+ Revision: 86060
- rebuild


* Thu Aug 03 2006 Scott Karns <scottk@mandriva.org> 0.06-1mdv2007.0
- New release 0.06

* Fri Jul 14 2006 Scott Karns <scottk@mandriva.org> 0.05-1mdv2007.0
- New release 0.05

* Sat Apr 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdk
- New release 0.04
- fix directory ownership
- spec cleanup

* Fri Mar 17 2006 Scott Karns <scott@karnstech.com> 0.03-1mdk
- Updated to version 0.03

* Thu Jan 12 2006 Scott Karns <scott@karnstech.com> 0.02-1mdk
- Initial Mdv RPM

